Viewing docs for intersight 1.0.77
published on Wednesday, Feb 18, 2026 by ciscodevnet
published on Wednesday, Feb 18, 2026 by ciscodevnet
Viewing docs for intersight 1.0.77
published on Wednesday, Feb 18, 2026 by ciscodevnet
published on Wednesday, Feb 18, 2026 by ciscodevnet
AuditRecord presents the configuration changes made by the user per transaction.
Using getOnpremAuditRecord
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getOnpremAuditRecord(args: GetOnpremAuditRecordArgs, opts?: InvokeOptions): Promise<GetOnpremAuditRecordResult>
function getOnpremAuditRecordOutput(args: GetOnpremAuditRecordOutputArgs, opts?: InvokeOptions): Output<GetOnpremAuditRecordResult>def get_onprem_audit_record(account_moid: Optional[str] = None,
additional_properties: Optional[str] = None,
ancestors: Optional[Sequence[GetOnpremAuditRecordAncestor]] = None,
class_id: Optional[str] = None,
create_time: Optional[str] = None,
domain_group_moid: Optional[str] = None,
event: Optional[str] = None,
http_operation: Optional[str] = None,
http_response_code: Optional[float] = None,
http_response_payload: Optional[str] = None,
id: Optional[str] = None,
mo_type: Optional[str] = None,
mod_time: Optional[str] = None,
moid: Optional[str] = None,
object_moid: Optional[str] = None,
object_name: Optional[str] = None,
object_type: Optional[str] = None,
owners: Optional[Sequence[str]] = None,
parent: Optional[GetOnpremAuditRecordParent] = None,
permission_resources: Optional[Sequence[GetOnpremAuditRecordPermissionResource]] = None,
request: Optional[str] = None,
session_id: Optional[str] = None,
shared_scope: Optional[str] = None,
source_ip: Optional[str] = None,
tags: Optional[Sequence[GetOnpremAuditRecordTag]] = None,
timestamp: Optional[str] = None,
trace_id: Optional[str] = None,
user_agent_string: Optional[str] = None,
user_id_or_email: Optional[str] = None,
version_context: Optional[GetOnpremAuditRecordVersionContext] = None,
opts: Optional[InvokeOptions] = None) -> GetOnpremAuditRecordResult
def get_onprem_audit_record_output(account_moid: Optional[pulumi.Input[str]] = None,
additional_properties: Optional[pulumi.Input[str]] = None,
ancestors: Optional[pulumi.Input[Sequence[pulumi.Input[GetOnpremAuditRecordAncestorArgs]]]] = None,
class_id: Optional[pulumi.Input[str]] = None,
create_time: Optional[pulumi.Input[str]] = None,
domain_group_moid: Optional[pulumi.Input[str]] = None,
event: Optional[pulumi.Input[str]] = None,
http_operation: Optional[pulumi.Input[str]] = None,
http_response_code: Optional[pulumi.Input[float]] = None,
http_response_payload: Optional[pulumi.Input[str]] = None,
id: Optional[pulumi.Input[str]] = None,
mo_type: Optional[pulumi.Input[str]] = None,
mod_time: Optional[pulumi.Input[str]] = None,
moid: Optional[pulumi.Input[str]] = None,
object_moid: Optional[pulumi.Input[str]] = None,
object_name: Optional[pulumi.Input[str]] = None,
object_type: Optional[pulumi.Input[str]] = None,
owners: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
parent: Optional[pulumi.Input[GetOnpremAuditRecordParentArgs]] = None,
permission_resources: Optional[pulumi.Input[Sequence[pulumi.Input[GetOnpremAuditRecordPermissionResourceArgs]]]] = None,
request: Optional[pulumi.Input[str]] = None,
session_id: Optional[pulumi.Input[str]] = None,
shared_scope: Optional[pulumi.Input[str]] = None,
source_ip: Optional[pulumi.Input[str]] = None,
tags: Optional[pulumi.Input[Sequence[pulumi.Input[GetOnpremAuditRecordTagArgs]]]] = None,
timestamp: Optional[pulumi.Input[str]] = None,
trace_id: Optional[pulumi.Input[str]] = None,
user_agent_string: Optional[pulumi.Input[str]] = None,
user_id_or_email: Optional[pulumi.Input[str]] = None,
version_context: Optional[pulumi.Input[GetOnpremAuditRecordVersionContextArgs]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetOnpremAuditRecordResult]func LookupOnpremAuditRecord(ctx *Context, args *LookupOnpremAuditRecordArgs, opts ...InvokeOption) (*LookupOnpremAuditRecordResult, error)
func LookupOnpremAuditRecordOutput(ctx *Context, args *LookupOnpremAuditRecordOutputArgs, opts ...InvokeOption) LookupOnpremAuditRecordResultOutput> Note: This function is named LookupOnpremAuditRecord in the Go SDK.
public static class GetOnpremAuditRecord
{
public static Task<GetOnpremAuditRecordResult> InvokeAsync(GetOnpremAuditRecordArgs args, InvokeOptions? opts = null)
public static Output<GetOnpremAuditRecordResult> Invoke(GetOnpremAuditRecordInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetOnpremAuditRecordResult> getOnpremAuditRecord(GetOnpremAuditRecordArgs args, InvokeOptions options)
public static Output<GetOnpremAuditRecordResult> getOnpremAuditRecord(GetOnpremAuditRecordArgs args, InvokeOptions options)
fn::invoke:
function: intersight:index/getOnpremAuditRecord:getOnpremAuditRecord
arguments:
# arguments dictionaryThe following arguments are supported:
- Account
Moid string - The Account ID for this managed object.
- Additional
Properties string - Ancestors
List<Get
Onprem Audit Record Ancestor> - Class
Id string - Create
Time string - The time when this managed object was created.
- Domain
Group stringMoid - The DomainGroup ID for this managed object.
- Event string
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- Http
Operation string - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- Http
Response doubleCode - The response code of the operation. If the operation is successful, this field will be 200.
- Http
Response stringPayload - Id string
- Mo
Type string - The object type of the REST resource that was created, modified or deleted.
- Mod
Time string - The time when this managed object was last modified.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Moid string - The Moid of the REST resource that was created, modified or deleted.
- Object
Name string - Object
Type string - Owners List<string>
- Parent
Get
Onprem Audit Record Parent - Permission
Resources List<GetOnprem Audit Record Permission Resource> - Request string
- Session
Id string - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- string
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- Source
Ip string - The source IP of the client where the user action was performed.
-
List<Get
Onprem Audit Record Tag> - Timestamp string
- The timestamp of the user action performed.
- Trace
Id string - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- User
Agent stringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- User
Id stringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- Version
Context GetOnprem Audit Record Version Context
- Account
Moid string - The Account ID for this managed object.
- Additional
Properties string - Ancestors
[]Get
Onprem Audit Record Ancestor - Class
Id string - Create
Time string - The time when this managed object was created.
- Domain
Group stringMoid - The DomainGroup ID for this managed object.
- Event string
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- Http
Operation string - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- Http
Response float64Code - The response code of the operation. If the operation is successful, this field will be 200.
- Http
Response stringPayload - Id string
- Mo
Type string - The object type of the REST resource that was created, modified or deleted.
- Mod
Time string - The time when this managed object was last modified.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Moid string - The Moid of the REST resource that was created, modified or deleted.
- Object
Name string - Object
Type string - Owners []string
- Parent
Get
Onprem Audit Record Parent - Permission
Resources []GetOnprem Audit Record Permission Resource - Request string
- Session
Id string - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- string
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- Source
Ip string - The source IP of the client where the user action was performed.
-
[]Get
Onprem Audit Record Tag - Timestamp string
- The timestamp of the user action performed.
- Trace
Id string - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- User
Agent stringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- User
Id stringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- Version
Context GetOnprem Audit Record Version Context
- account
Moid String - The Account ID for this managed object.
- additional
Properties String - ancestors
List<Get
Onprem Audit Record Ancestor> - class
Id String - create
Time String - The time when this managed object was created.
- domain
Group StringMoid - The DomainGroup ID for this managed object.
- event String
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- http
Operation String - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- http
Response DoubleCode - The response code of the operation. If the operation is successful, this field will be 200.
- http
Response StringPayload - id String
- mo
Type String - The object type of the REST resource that was created, modified or deleted.
- mod
Time String - The time when this managed object was last modified.
- moid String
- The unique identifier of this Managed Object instance.
- object
Moid String - The Moid of the REST resource that was created, modified or deleted.
- object
Name String - object
Type String - owners List<String>
- parent
Get
Onprem Audit Record Parent - permission
Resources List<GetOnprem Audit Record Permission Resource> - request String
- session
Id String - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- String
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- source
Ip String - The source IP of the client where the user action was performed.
-
List<Get
Onprem Audit Record Tag> - timestamp String
- The timestamp of the user action performed.
- trace
Id String - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- user
Agent StringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- user
Id StringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- version
Context GetOnprem Audit Record Version Context
- account
Moid string - The Account ID for this managed object.
- additional
Properties string - ancestors
Get
Onprem Audit Record Ancestor[] - class
Id string - create
Time string - The time when this managed object was created.
- domain
Group stringMoid - The DomainGroup ID for this managed object.
- event string
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- http
Operation string - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- http
Response numberCode - The response code of the operation. If the operation is successful, this field will be 200.
- http
Response stringPayload - id string
- mo
Type string - The object type of the REST resource that was created, modified or deleted.
- mod
Time string - The time when this managed object was last modified.
- moid string
- The unique identifier of this Managed Object instance.
- object
Moid string - The Moid of the REST resource that was created, modified or deleted.
- object
Name string - object
Type string - owners string[]
- parent
Get
Onprem Audit Record Parent - permission
Resources GetOnprem Audit Record Permission Resource[] - request string
- session
Id string - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- string
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- source
Ip string - The source IP of the client where the user action was performed.
-
Get
Onprem Audit Record Tag[] - timestamp string
- The timestamp of the user action performed.
- trace
Id string - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- user
Agent stringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- user
Id stringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- version
Context GetOnprem Audit Record Version Context
- account_
moid str - The Account ID for this managed object.
- additional_
properties str - ancestors
Sequence[Get
Onprem Audit Record Ancestor] - class_
id str - create_
time str - The time when this managed object was created.
- domain_
group_ strmoid - The DomainGroup ID for this managed object.
- event str
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- http_
operation str - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- http_
response_ floatcode - The response code of the operation. If the operation is successful, this field will be 200.
- http_
response_ strpayload - id str
- mo_
type str - The object type of the REST resource that was created, modified or deleted.
- mod_
time str - The time when this managed object was last modified.
- moid str
- The unique identifier of this Managed Object instance.
- object_
moid str - The Moid of the REST resource that was created, modified or deleted.
- object_
name str - object_
type str - owners Sequence[str]
- parent
Get
Onprem Audit Record Parent - permission_
resources Sequence[GetOnprem Audit Record Permission Resource] - request str
- session_
id str - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- str
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- source_
ip str - The source IP of the client where the user action was performed.
-
Sequence[Get
Onprem Audit Record Tag] - timestamp str
- The timestamp of the user action performed.
- trace_
id str - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- user_
agent_ strstring - The raw, string representation of the user agent of the request from the user-agent http request header.
- user_
id_ stror_ email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- version_
context GetOnprem Audit Record Version Context
- account
Moid String - The Account ID for this managed object.
- additional
Properties String - ancestors List<Property Map>
- class
Id String - create
Time String - The time when this managed object was created.
- domain
Group StringMoid - The DomainGroup ID for this managed object.
- event String
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- http
Operation String - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- http
Response NumberCode - The response code of the operation. If the operation is successful, this field will be 200.
- http
Response StringPayload - id String
- mo
Type String - The object type of the REST resource that was created, modified or deleted.
- mod
Time String - The time when this managed object was last modified.
- moid String
- The unique identifier of this Managed Object instance.
- object
Moid String - The Moid of the REST resource that was created, modified or deleted.
- object
Name String - object
Type String - owners List<String>
- parent Property Map
- permission
Resources List<Property Map> - request String
- session
Id String - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- String
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- source
Ip String - The source IP of the client where the user action was performed.
- List<Property Map>
- timestamp String
- The timestamp of the user action performed.
- trace
Id String - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- user
Agent StringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- user
Id StringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- version
Context Property Map
getOnpremAuditRecord Result
The following output properties are available:
- Id string
- Results
List<Get
Onprem Audit Record Result> - Account
Moid string - Additional
Properties string - Ancestors
List<Get
Onprem Audit Record Ancestor> - Class
Id string - Create
Time string - Domain
Group stringMoid - Event string
- Http
Operation string - Http
Response doubleCode - Http
Response stringPayload - Mo
Type string - Mod
Time string - Moid string
- Object
Moid string - Object
Name string - Object
Type string - Owners List<string>
- Parent
Get
Onprem Audit Record Parent - Permission
Resources List<GetOnprem Audit Record Permission Resource> - Request string
- Session
Id string - string
- Source
Ip string -
List<Get
Onprem Audit Record Tag> - Timestamp string
- Trace
Id string - User
Agent stringString - User
Id stringOr Email - Version
Context GetOnprem Audit Record Version Context
- Id string
- Results
[]Get
Onprem Audit Record Result - Account
Moid string - Additional
Properties string - Ancestors
[]Get
Onprem Audit Record Ancestor - Class
Id string - Create
Time string - Domain
Group stringMoid - Event string
- Http
Operation string - Http
Response float64Code - Http
Response stringPayload - Mo
Type string - Mod
Time string - Moid string
- Object
Moid string - Object
Name string - Object
Type string - Owners []string
- Parent
Get
Onprem Audit Record Parent - Permission
Resources []GetOnprem Audit Record Permission Resource - Request string
- Session
Id string - string
- Source
Ip string -
[]Get
Onprem Audit Record Tag - Timestamp string
- Trace
Id string - User
Agent stringString - User
Id stringOr Email - Version
Context GetOnprem Audit Record Version Context
- id String
- results
List<Get
Onprem Audit Record Result> - account
Moid String - additional
Properties String - ancestors
List<Get
Onprem Audit Record Ancestor> - class
Id String - create
Time String - domain
Group StringMoid - event String
- http
Operation String - http
Response DoubleCode - http
Response StringPayload - mo
Type String - mod
Time String - moid String
- object
Moid String - object
Name String - object
Type String - owners List<String>
- parent
Get
Onprem Audit Record Parent - permission
Resources List<GetOnprem Audit Record Permission Resource> - request String
- session
Id String - String
- source
Ip String -
List<Get
Onprem Audit Record Tag> - timestamp String
- trace
Id String - user
Agent StringString - user
Id StringOr Email - version
Context GetOnprem Audit Record Version Context
- id string
- results
Get
Onprem Audit Record Result[] - account
Moid string - additional
Properties string - ancestors
Get
Onprem Audit Record Ancestor[] - class
Id string - create
Time string - domain
Group stringMoid - event string
- http
Operation string - http
Response numberCode - http
Response stringPayload - mo
Type string - mod
Time string - moid string
- object
Moid string - object
Name string - object
Type string - owners string[]
- parent
Get
Onprem Audit Record Parent - permission
Resources GetOnprem Audit Record Permission Resource[] - request string
- session
Id string - string
- source
Ip string -
Get
Onprem Audit Record Tag[] - timestamp string
- trace
Id string - user
Agent stringString - user
Id stringOr Email - version
Context GetOnprem Audit Record Version Context
- id str
- results
Sequence[Get
Onprem Audit Record Result] - account_
moid str - additional_
properties str - ancestors
Sequence[Get
Onprem Audit Record Ancestor] - class_
id str - create_
time str - domain_
group_ strmoid - event str
- http_
operation str - http_
response_ floatcode - http_
response_ strpayload - mo_
type str - mod_
time str - moid str
- object_
moid str - object_
name str - object_
type str - owners Sequence[str]
- parent
Get
Onprem Audit Record Parent - permission_
resources Sequence[GetOnprem Audit Record Permission Resource] - request str
- session_
id str - str
- source_
ip str -
Sequence[Get
Onprem Audit Record Tag] - timestamp str
- trace_
id str - user_
agent_ strstring - user_
id_ stror_ email - version_
context GetOnprem Audit Record Version Context
- id String
- results List<Property Map>
- account
Moid String - additional
Properties String - ancestors List<Property Map>
- class
Id String - create
Time String - domain
Group StringMoid - event String
- http
Operation String - http
Response NumberCode - http
Response StringPayload - mo
Type String - mod
Time String - moid String
- object
Moid String - object
Name String - object
Type String - owners List<String>
- parent Property Map
- permission
Resources List<Property Map> - request String
- session
Id String - String
- source
Ip String - List<Property Map>
- timestamp String
- trace
Id String - user
Agent StringString - user
Id StringOr Email - version
Context Property Map
Supporting Types
GetOnpremAuditRecordAncestor
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid string
- The unique identifier of this Managed Object instance.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid str
- The unique identifier of this Managed Object instance.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
GetOnpremAuditRecordParent
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid string
- The unique identifier of this Managed Object instance.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid str
- The unique identifier of this Managed Object instance.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
GetOnpremAuditRecordPermissionResource
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid string
- The unique identifier of this Managed Object instance.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid str
- The unique identifier of this Managed Object instance.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
GetOnpremAuditRecordResult
- Account
Moid string - The Account ID for this managed object.
- Additional
Properties string - Ancestors
List<Get
Onprem Audit Record Result Ancestor> - Class
Id string - Create
Time string - The time when this managed object was created.
- Domain
Group stringMoid - The DomainGroup ID for this managed object.
- Event string
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- Http
Operation string - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- Http
Response doubleCode - The response code of the operation. If the operation is successful, this field will be 200.
- Http
Response stringPayload - Mo
Type string - The object type of the REST resource that was created, modified or deleted.
- Mod
Time string - The time when this managed object was last modified.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Moid string - The Moid of the REST resource that was created, modified or deleted.
- Object
Name string - Object
Type string - Owners List<string>
- Parents
List<Get
Onprem Audit Record Result Parent> - Permission
Resources List<GetOnprem Audit Record Result Permission Resource> - Request string
- Session
Id string - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- string
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- Source
Ip string - The source IP of the client where the user action was performed.
-
List<Get
Onprem Audit Record Result Tag> - Timestamp string
- The timestamp of the user action performed.
- Trace
Id string - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- User
Agent stringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- User
Id stringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- Version
Contexts List<GetOnprem Audit Record Result Version Context>
- Account
Moid string - The Account ID for this managed object.
- Additional
Properties string - Ancestors
[]Get
Onprem Audit Record Result Ancestor - Class
Id string - Create
Time string - The time when this managed object was created.
- Domain
Group stringMoid - The DomainGroup ID for this managed object.
- Event string
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- Http
Operation string - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- Http
Response float64Code - The response code of the operation. If the operation is successful, this field will be 200.
- Http
Response stringPayload - Mo
Type string - The object type of the REST resource that was created, modified or deleted.
- Mod
Time string - The time when this managed object was last modified.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Moid string - The Moid of the REST resource that was created, modified or deleted.
- Object
Name string - Object
Type string - Owners []string
- Parents
[]Get
Onprem Audit Record Result Parent - Permission
Resources []GetOnprem Audit Record Result Permission Resource - Request string
- Session
Id string - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- string
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- Source
Ip string - The source IP of the client where the user action was performed.
-
[]Get
Onprem Audit Record Result Tag - Timestamp string
- The timestamp of the user action performed.
- Trace
Id string - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- User
Agent stringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- User
Id stringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- Version
Contexts []GetOnprem Audit Record Result Version Context
- account
Moid String - The Account ID for this managed object.
- additional
Properties String - ancestors
List<Get
Onprem Audit Record Result Ancestor> - class
Id String - create
Time String - The time when this managed object was created.
- domain
Group StringMoid - The DomainGroup ID for this managed object.
- event String
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- http
Operation String - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- http
Response DoubleCode - The response code of the operation. If the operation is successful, this field will be 200.
- http
Response StringPayload - mo
Type String - The object type of the REST resource that was created, modified or deleted.
- mod
Time String - The time when this managed object was last modified.
- moid String
- The unique identifier of this Managed Object instance.
- object
Moid String - The Moid of the REST resource that was created, modified or deleted.
- object
Name String - object
Type String - owners List<String>
- parents
List<Get
Onprem Audit Record Result Parent> - permission
Resources List<GetOnprem Audit Record Result Permission Resource> - request String
- session
Id String - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- String
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- source
Ip String - The source IP of the client where the user action was performed.
-
List<Get
Onprem Audit Record Result Tag> - timestamp String
- The timestamp of the user action performed.
- trace
Id String - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- user
Agent StringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- user
Id StringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- version
Contexts List<GetOnprem Audit Record Result Version Context>
- account
Moid string - The Account ID for this managed object.
- additional
Properties string - ancestors
Get
Onprem Audit Record Result Ancestor[] - class
Id string - create
Time string - The time when this managed object was created.
- domain
Group stringMoid - The DomainGroup ID for this managed object.
- event string
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- http
Operation string - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- http
Response numberCode - The response code of the operation. If the operation is successful, this field will be 200.
- http
Response stringPayload - mo
Type string - The object type of the REST resource that was created, modified or deleted.
- mod
Time string - The time when this managed object was last modified.
- moid string
- The unique identifier of this Managed Object instance.
- object
Moid string - The Moid of the REST resource that was created, modified or deleted.
- object
Name string - object
Type string - owners string[]
- parents
Get
Onprem Audit Record Result Parent[] - permission
Resources GetOnprem Audit Record Result Permission Resource[] - request string
- session
Id string - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- string
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- source
Ip string - The source IP of the client where the user action was performed.
-
Get
Onprem Audit Record Result Tag[] - timestamp string
- The timestamp of the user action performed.
- trace
Id string - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- user
Agent stringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- user
Id stringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- version
Contexts GetOnprem Audit Record Result Version Context[]
- account_
moid str - The Account ID for this managed object.
- additional_
properties str - ancestors
Sequence[Get
Onprem Audit Record Result Ancestor] - class_
id str - create_
time str - The time when this managed object was created.
- domain_
group_ strmoid - The DomainGroup ID for this managed object.
- event str
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- http_
operation str - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- http_
response_ floatcode - The response code of the operation. If the operation is successful, this field will be 200.
- http_
response_ strpayload - mo_
type str - The object type of the REST resource that was created, modified or deleted.
- mod_
time str - The time when this managed object was last modified.
- moid str
- The unique identifier of this Managed Object instance.
- object_
moid str - The Moid of the REST resource that was created, modified or deleted.
- object_
name str - object_
type str - owners Sequence[str]
- parents
Sequence[Get
Onprem Audit Record Result Parent] - permission_
resources Sequence[GetOnprem Audit Record Result Permission Resource] - request str
- session_
id str - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- str
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- source_
ip str - The source IP of the client where the user action was performed.
-
Sequence[Get
Onprem Audit Record Result Tag] - timestamp str
- The timestamp of the user action performed.
- trace_
id str - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- user_
agent_ strstring - The raw, string representation of the user agent of the request from the user-agent http request header.
- user_
id_ stror_ email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- version_
contexts Sequence[GetOnprem Audit Record Result Version Context]
- account
Moid String - The Account ID for this managed object.
- additional
Properties String - ancestors List<Property Map>
- class
Id String - create
Time String - The time when this managed object was created.
- domain
Group StringMoid - The DomainGroup ID for this managed object.
- event String
- The type of event that occurred. Possible values are \ Login\ , \ Logout\ , \ Created\ , \ Modified\ , \ Deleted\ .
- http
Operation String - It contains the http request type and URL for the operation. In case of authentication request, this field \ POST /iam/adminlogin\ .
- http
Response NumberCode - The response code of the operation. If the operation is successful, this field will be 200.
- http
Response StringPayload - mo
Type String - The object type of the REST resource that was created, modified or deleted.
- mod
Time String - The time when this managed object was last modified.
- moid String
- The unique identifier of this Managed Object instance.
- object
Moid String - The Moid of the REST resource that was created, modified or deleted.
- object
Name String - object
Type String - owners List<String>
- parents List<Property Map>
- permission
Resources List<Property Map> - request String
- session
Id String - The sessionId in which the user made the change. In case that the session is later deleted, we still have some reference to the information.
- String
- Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- source
Ip String - The source IP of the client where the user action was performed.
- List<Property Map>
- timestamp String
- The timestamp of the user action performed.
- trace
Id String - The trace id of the request that was used to create, modify or delete a REST resource.A trace id is a unique identifier for one particular REST request. It may be used for troubleshooting purposeby the Intersight technical support team.
- user
Agent StringString - The raw, string representation of the user agent of the request from the user-agent http request header.
- user
Id StringOr Email - The userId or the email of the associated user that made the change. In case that user is later deleted, we still have some reference to the information.
- version
Contexts List<Property Map>
GetOnpremAuditRecordResultAncestor
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
- additional
Properties string - class
Id string - moid string
- The unique identifier of this Managed Object instance.
- object
Type string - selector string
- additional_
properties str - class_
id str - moid str
- The unique identifier of this Managed Object instance.
- object_
type str - selector str
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
GetOnpremAuditRecordResultParent
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
- additional
Properties string - class
Id string - moid string
- The unique identifier of this Managed Object instance.
- object
Type string - selector string
- additional_
properties str - class_
id str - moid str
- The unique identifier of this Managed Object instance.
- object_
type str - selector str
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
GetOnpremAuditRecordResultPermissionResource
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
- additional
Properties string - class
Id string - moid string
- The unique identifier of this Managed Object instance.
- object
Type string - selector string
- additional_
properties str - class_
id str - moid str
- The unique identifier of this Managed Object instance.
- object_
type str - selector str
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
GetOnpremAuditRecordResultTag
- additional
Properties String - ancestor
Definitions List<GetOnprem Audit Record Result Tag Ancestor Definition> - definitions
List<Get
Onprem Audit Record Result Tag Definition> - key String
- propagated Boolean
- sys
Tag Boolean - type String
- value String
- additional
Properties string - ancestor
Definitions GetOnprem Audit Record Result Tag Ancestor Definition[] - definitions
Get
Onprem Audit Record Result Tag Definition[] - key string
- propagated boolean
- sys
Tag boolean - type string
- value string
- additional
Properties String - ancestor
Definitions List<Property Map> - definitions List<Property Map>
- key String
- propagated Boolean
- sys
Tag Boolean - type String
- value String
GetOnpremAuditRecordResultTagAncestorDefinition
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
- additional
Properties string - class
Id string - moid string
- The unique identifier of this Managed Object instance.
- object
Type string - selector string
- additional_
properties str - class_
id str - moid str
- The unique identifier of this Managed Object instance.
- object_
type str - selector str
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
GetOnpremAuditRecordResultTagDefinition
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
- additional
Properties string - class
Id string - moid string
- The unique identifier of this Managed Object instance.
- object
Type string - selector string
- additional_
properties str - class_
id str - moid str
- The unique identifier of this Managed Object instance.
- object_
type str - selector str
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
GetOnpremAuditRecordResultVersionContext
- Additional
Properties string - Class
Id string - Interested
Mos List<GetOnprem Audit Record Result Version Context Interested Mo> - Marked
For boolDeletion - Nr
Version string - Object
Type string - Ref
Mos List<GetOnprem Audit Record Result Version Context Ref Mo> - Timestamp string
- The timestamp of the user action performed.
- Version
Type string
- Additional
Properties string - Class
Id string - Interested
Mos []GetOnprem Audit Record Result Version Context Interested Mo - Marked
For boolDeletion - Nr
Version string - Object
Type string - Ref
Mos []GetOnprem Audit Record Result Version Context Ref Mo - Timestamp string
- The timestamp of the user action performed.
- Version
Type string
- additional
Properties String - class
Id String - interested
Mos List<GetOnprem Audit Record Result Version Context Interested Mo> - marked
For BooleanDeletion - nr
Version String - object
Type String - ref
Mos List<GetOnprem Audit Record Result Version Context Ref Mo> - timestamp String
- The timestamp of the user action performed.
- version
Type String
- additional
Properties string - class
Id string - interested
Mos GetOnprem Audit Record Result Version Context Interested Mo[] - marked
For booleanDeletion - nr
Version string - object
Type string - ref
Mos GetOnprem Audit Record Result Version Context Ref Mo[] - timestamp string
- The timestamp of the user action performed.
- version
Type string
- additional_
properties str - class_
id str - interested_
mos Sequence[GetOnprem Audit Record Result Version Context Interested Mo] - marked_
for_ booldeletion - nr_
version str - object_
type str - ref_
mos Sequence[GetOnprem Audit Record Result Version Context Ref Mo] - timestamp str
- The timestamp of the user action performed.
- version_
type str
- additional
Properties String - class
Id String - interested
Mos List<Property Map> - marked
For BooleanDeletion - nr
Version String - object
Type String - ref
Mos List<Property Map> - timestamp String
- The timestamp of the user action performed.
- version
Type String
GetOnpremAuditRecordResultVersionContextInterestedMo
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
- additional
Properties string - class
Id string - moid string
- The unique identifier of this Managed Object instance.
- object
Type string - selector string
- additional_
properties str - class_
id str - moid str
- The unique identifier of this Managed Object instance.
- object_
type str - selector str
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
GetOnpremAuditRecordResultVersionContextRefMo
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- Additional
Properties string - Class
Id string - Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - Selector string
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
- additional
Properties string - class
Id string - moid string
- The unique identifier of this Managed Object instance.
- object
Type string - selector string
- additional_
properties str - class_
id str - moid str
- The unique identifier of this Managed Object instance.
- object_
type str - selector str
- additional
Properties String - class
Id String - moid String
- The unique identifier of this Managed Object instance.
- object
Type String - selector String
GetOnpremAuditRecordTag
- Additional
Properties string - Ancestor
Definitions List<GetOnprem Audit Record Tag Ancestor Definition> - Definition
Get
Onprem Audit Record Tag Definition - The definition is a reference to the tag definition object. The tag definition object contains the properties of the tag such as name, type, and description.
- Key string
- The string representation of a tag key.
- Propagated bool
- Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- Sys
Tag bool - Specifies whether the tag is user-defined or owned by the system.
- Type string
- An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is "A/B/C", then "A" is the parent tag, "B" is the child tag of "A" and "C" is the child tag of "B".
- Value string
- The string representation of a tag value.
- Additional
Properties string - Ancestor
Definitions []GetOnprem Audit Record Tag Ancestor Definition - Definition
Get
Onprem Audit Record Tag Definition - The definition is a reference to the tag definition object. The tag definition object contains the properties of the tag such as name, type, and description.
- Key string
- The string representation of a tag key.
- Propagated bool
- Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- Sys
Tag bool - Specifies whether the tag is user-defined or owned by the system.
- Type string
- An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is "A/B/C", then "A" is the parent tag, "B" is the child tag of "A" and "C" is the child tag of "B".
- Value string
- The string representation of a tag value.
- additional
Properties String - ancestor
Definitions List<GetOnprem Audit Record Tag Ancestor Definition> - definition
Get
Onprem Audit Record Tag Definition - The definition is a reference to the tag definition object. The tag definition object contains the properties of the tag such as name, type, and description.
- key String
- The string representation of a tag key.
- propagated Boolean
- Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys
Tag Boolean - Specifies whether the tag is user-defined or owned by the system.
- type String
- An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is "A/B/C", then "A" is the parent tag, "B" is the child tag of "A" and "C" is the child tag of "B".
- value String
- The string representation of a tag value.
- additional
Properties string - ancestor
Definitions GetOnprem Audit Record Tag Ancestor Definition[] - definition
Get
Onprem Audit Record Tag Definition - The definition is a reference to the tag definition object. The tag definition object contains the properties of the tag such as name, type, and description.
- key string
- The string representation of a tag key.
- propagated boolean
- Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys
Tag boolean - Specifies whether the tag is user-defined or owned by the system.
- type string
- An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is "A/B/C", then "A" is the parent tag, "B" is the child tag of "A" and "C" is the child tag of "B".
- value string
- The string representation of a tag value.
- additional_
properties str - ancestor_
definitions Sequence[GetOnprem Audit Record Tag Ancestor Definition] - definition
Get
Onprem Audit Record Tag Definition - The definition is a reference to the tag definition object. The tag definition object contains the properties of the tag such as name, type, and description.
- key str
- The string representation of a tag key.
- propagated bool
- Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys_
tag bool - Specifies whether the tag is user-defined or owned by the system.
- type str
- An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is "A/B/C", then "A" is the parent tag, "B" is the child tag of "A" and "C" is the child tag of "B".
- value str
- The string representation of a tag value.
- additional
Properties String - ancestor
Definitions List<Property Map> - definition Property Map
- The definition is a reference to the tag definition object. The tag definition object contains the properties of the tag such as name, type, and description.
- key String
- The string representation of a tag key.
- propagated Boolean
- Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys
Tag Boolean - Specifies whether the tag is user-defined or owned by the system.
- type String
- An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is "A/B/C", then "A" is the parent tag, "B" is the child tag of "A" and "C" is the child tag of "B".
- value String
- The string representation of a tag value.
GetOnpremAuditRecordTagAncestorDefinition
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid string
- The unique identifier of this Managed Object instance.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid str
- The unique identifier of this Managed Object instance.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
GetOnpremAuditRecordTagDefinition
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid string
- The unique identifier of this Managed Object instance.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid str
- The unique identifier of this Managed Object instance.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
GetOnpremAuditRecordVersionContext
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Interested
Mos List<GetOnprem Audit Record Version Context Interested Mo> - Marked
For boolDeletion - The flag to indicate if snapshot is marked for deletion or not. If flag is set then snapshot will be removed after the successful deployment of the policy.
- Nr
Version string - The version of the Managed Object, e.g. an incrementing number or a hash id.
- Object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- Ref
Mo GetOnprem Audit Record Version Context Ref Mo - A reference to the original Managed Object.
- Timestamp string
- The timestamp of the user action performed.
- Version
Type string - Specifies type of version. Currently the only supported value is "Configured"
that is used to keep track of snapshots of policies and profiles that are intended
to be configured to target endpoints.
Modified- Version created every time an object is modified.Configured- Version created every time an object is configured to the service profile.Deployed- Version created for objects related to a service profile when it is deployed.
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Interested
Mos []GetOnprem Audit Record Version Context Interested Mo - Marked
For boolDeletion - The flag to indicate if snapshot is marked for deletion or not. If flag is set then snapshot will be removed after the successful deployment of the policy.
- Nr
Version string - The version of the Managed Object, e.g. an incrementing number or a hash id.
- Object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- Ref
Mo GetOnprem Audit Record Version Context Ref Mo - A reference to the original Managed Object.
- Timestamp string
- The timestamp of the user action performed.
- Version
Type string - Specifies type of version. Currently the only supported value is "Configured"
that is used to keep track of snapshots of policies and profiles that are intended
to be configured to target endpoints.
Modified- Version created every time an object is modified.Configured- Version created every time an object is configured to the service profile.Deployed- Version created for objects related to a service profile when it is deployed.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- interested
Mos List<GetOnprem Audit Record Version Context Interested Mo> - marked
For BooleanDeletion - The flag to indicate if snapshot is marked for deletion or not. If flag is set then snapshot will be removed after the successful deployment of the policy.
- nr
Version String - The version of the Managed Object, e.g. an incrementing number or a hash id.
- object
Type String - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- ref
Mo GetOnprem Audit Record Version Context Ref Mo - A reference to the original Managed Object.
- timestamp String
- The timestamp of the user action performed.
- version
Type String - Specifies type of version. Currently the only supported value is "Configured"
that is used to keep track of snapshots of policies and profiles that are intended
to be configured to target endpoints.
Modified- Version created every time an object is modified.Configured- Version created every time an object is configured to the service profile.Deployed- Version created for objects related to a service profile when it is deployed.
- additional
Properties string - class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- interested
Mos GetOnprem Audit Record Version Context Interested Mo[] - marked
For booleanDeletion - The flag to indicate if snapshot is marked for deletion or not. If flag is set then snapshot will be removed after the successful deployment of the policy.
- nr
Version string - The version of the Managed Object, e.g. an incrementing number or a hash id.
- object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- ref
Mo GetOnprem Audit Record Version Context Ref Mo - A reference to the original Managed Object.
- timestamp string
- The timestamp of the user action performed.
- version
Type string - Specifies type of version. Currently the only supported value is "Configured"
that is used to keep track of snapshots of policies and profiles that are intended
to be configured to target endpoints.
Modified- Version created every time an object is modified.Configured- Version created every time an object is configured to the service profile.Deployed- Version created for objects related to a service profile when it is deployed.
- additional_
properties str - class_
id str - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- interested_
mos Sequence[GetOnprem Audit Record Version Context Interested Mo] - marked_
for_ booldeletion - The flag to indicate if snapshot is marked for deletion or not. If flag is set then snapshot will be removed after the successful deployment of the policy.
- nr_
version str - The version of the Managed Object, e.g. an incrementing number or a hash id.
- object_
type str - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- ref_
mo GetOnprem Audit Record Version Context Ref Mo - A reference to the original Managed Object.
- timestamp str
- The timestamp of the user action performed.
- version_
type str - Specifies type of version. Currently the only supported value is "Configured"
that is used to keep track of snapshots of policies and profiles that are intended
to be configured to target endpoints.
Modified- Version created every time an object is modified.Configured- Version created every time an object is configured to the service profile.Deployed- Version created for objects related to a service profile when it is deployed.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- interested
Mos List<Property Map> - marked
For BooleanDeletion - The flag to indicate if snapshot is marked for deletion or not. If flag is set then snapshot will be removed after the successful deployment of the policy.
- nr
Version String - The version of the Managed Object, e.g. an incrementing number or a hash id.
- object
Type String - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- ref
Mo Property Map - A reference to the original Managed Object.
- timestamp String
- The timestamp of the user action performed.
- version
Type String - Specifies type of version. Currently the only supported value is "Configured"
that is used to keep track of snapshots of policies and profiles that are intended
to be configured to target endpoints.
Modified- Version created every time an object is modified.Configured- Version created every time an object is configured to the service profile.Deployed- Version created for objects related to a service profile when it is deployed.
GetOnpremAuditRecordVersionContextInterestedMo
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
- If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of the resource matching the filter expression and populates it in the MoRef that is part of the object instance being inserted/updated to fulfill the REST request. An error is returned if the filter matches zero or more than one REST resource. An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- moid string
- The unique identifier of this Managed Object instance.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field may
be set instead of 'moid' by clients.
- If 'moid' is set this field is ignored.
[...]
